#include <bits/stdc++.h>
using namespace std;

int main(){
ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
long long n, m; cin >> n >> m;

cout << (n/2 + 1)*m + (n - n/2 - 1)*(m/2 + 1) - (n - 1)/2 + 1;

return 0;
}